with System;
with SoE;
with Ada.Text_IO;
with Ada.Integer_Text_IO;

procedure Main is
   pragma Priority (System.Priority'First);
   User_Limit : Integer;
begin
   --  process Odd is activated at this point
   --+
   --+ the main unit takes the range limit from user input
   --+ and passes it on, by rendezvous, to Odd
   Ada.Text_IO.Put ("Insert range limit: ");
   Ada.Integer_Text_IO.Get (User_Limit);
   Ada.Text_IO.New_Line;
   SoE.Odd.Set_Limit (User_Limit);
   --+ at this point the main unit has nothing other to do
   --+ than wait for its dependent processes to terminate

end Main;
